#pragma once

#include <osg/Notify>
#include <osg/NodeVisitor>
#include <osg/PagedLOD>
#include <osgTerrain/TerrainTile>


class ModificationVisitor : public osg::NodeVisitor
{
public:
	ModificationVisitor(std::string extensionToSet);
	virtual void apply( osg::Node& node );
	virtual void apply( osg::PagedLOD& pNode );

private:
	void modifyTile(osg::Node& node);
	std::string _extensionToSet;
};
